Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.simpl
Class SimpleTimeBroker

    java.lang.Object
      org.quartz.simpl.SimpleTimeBroker

All Implemented Interfaces:
  TimeBroker

    public class SimpleTimeBroker

extends Object
implements TimeBroker

The interface to be implemented by classes that want to provide a mechanism by which the ``QuartzScheduler`` can reliably determine the current time.

In general, the default implementation of this interface (``SimpleTimeBroker``- which simply uses `System.getCurrentTimeMillis()` )is sufficient. However situations may exist where this default scheme is lacking in its robustsness - especially when Quartz is used in a clustered configuration. For example, if one or more of the machines in the cluster has a system time that varies by more than a few seconds from the clocks on the other systems in the cluster, scheduling confusion will result.

Author:
  James House
See Also:
  `QuartzScheduler`

Constructor Summary
`SimpleTimeBroker()`

Method Summary
`Date` | `getCurrentTime()` Get the current time, simply using `new Date()`.
`void` | `initialize()` Called by the QuartzScheduler before the `TimeBroker` is used, in order to give the it a chance to initialize.
`void` | `shutdown()` Called by the QuartzScheduler to inform the `TimeBroker` that it should free up all of it's resources because the scheduler is shutting down.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTimeBroker

    public SimpleTimeBroker()

Method Detail

### getCurrentTime

    public Date getCurrentTime()

  Get the current time, simply using `new Date()`.

  Specified by:
    `getCurrentTime` in interface `TimeBroker`

### initialize

    public void initialize()
                    throws SchedulerConfigException

  Description copied from interface: `TimeBroker`

  Called by the QuartzScheduler before the `TimeBroker` is used, in order to give the it a chance to initialize.

  Specified by:
    `initialize` in interface `TimeBroker`
  Throws:
    `SchedulerConfigException`

### shutdown

    public void shutdown()

  Description copied from interface: `TimeBroker`

  Called by the QuartzScheduler to inform the `TimeBroker` that it should free up all of it's resources because the scheduler is shutting down.

  Specified by:
    `shutdown` in interface `TimeBroker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.